Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicRadioButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI
                              |
                              +--javax.swing.plaf.basic.BasicRadioButtonUI

Direct Known Subclasses:
  BasicCheckBoxUI, MetalRadioButtonUI

public class BasicRadioButtonUI
extends BasicToggleButtonUI

RadioButtonUI implementation for BasicRadioButtonUI

Field Summary
`protected Icon` | `icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`BasicRadioButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`Icon` | `getDefaultIcon()`
`Dimension` | `getPreferredSize(JComponent c)` The preferred size of the radio button
`protected String` | `getPropertyPrefix()`
`protected void` | `installDefaults(AbstractButton b)`
`void` | `paint(Graphics g, JComponent c)` paint the radio button
`protected void` | `paintFocus(Graphics g, Rectangle textRect, Dimension size)`
`protected void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`paintButtonPressed, paintFocus, paintIcon, paintText`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### icon

    protected Icon icon

Constructor Detail

### BasicRadioButtonUI

    public BasicRadioButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicToggleButtonUI`

### installDefaults

    protected void installDefaults(AbstractButton b)

  Overrides:
    `installDefaults` in class `BasicButtonUI`

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

  Overrides:
    `uninstallDefaults` in class `BasicButtonUI`

### getDefaultIcon

    public Icon getDefaultIcon()

### paint

    public void paint(Graphics g,
                      JComponent c)

  paint the radio button
  Overrides:
    `paint` in class `BasicToggleButtonUI`

### paintFocus

    protected void paintFocus(Graphics g,
                              Rectangle textRect,
                              Dimension size)

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  The preferred size of the radio button
  Overrides:
    `getPreferredSize` in class `BasicButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.